Subject: Dhl-Midmile::2990835094 || 100170281_1 ||Shipment on hold
From: Amani Bani Odeh <[email-masked]>
To: "ae.mumzworld" <[email-masked]>, Ronald Gaviola <[email-masked]>
Cc: customer care <[email-masked]>, Uae Lastmile <[email-masked]>
Date: Sun, 26 Jul 2020 14:16:21 +0300
List-Id: <ccteam.mumzworld.com>

Dears,

Please advise what is the issue shipment is on hold since July 17th.

Thanks,
Amani